package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.routine.domain.RtFuReservation;
import com.srs.routine.domain.RtFuRoom;
import com.srs.routine.domain.dto.RtFureservationDto;
import com.srs.routine.domain.vo.*;

/**
 * 功能房预约Service接口
 *
 * @author srs
 * @date 2024-07-12
 */
public interface IRtFuReservationService extends IService<RtFuReservation> {
    /**
     * 查询功能房预约
     *
     * @param id 功能房预约主键
     * @return 功能房预约
     */
    public RtFuResIdVo selectRtFuReservationById(Long id);
    public RtFuResSoltVo selectRtFuReservationTime(String ro_no , String rt_Time);

    List<RtFuReservationVo> selectRtFuReservationByuser(RtFuReservation rtFuReservation);
    /**
     * 查询功能房预约列表
     *
     * @param rtFuReservation 功能房预约
     * @return 功能房预约集合
     */
    List<RtFuReservationVo> selectRtFuReservationList(RtFuReservation rtFuReservation);

    List<RtFureservationDto> getexportrtfu();

    public  RtFuResSoltVo seletRtfuCase(String ro_no ,String rt_Time);
    /**
     * 新增功能房预约
     *
     * @param rtFuReservation 功能房预约
     * @return 结果
     */
    AjaxResult insertRtFuReservation(RtFuReservation rtFuReservation);

    /**
     * 修改功能房预约
     *
     * @param rtFuReservation 功能房预约
     * @return 结果
     */
    AjaxResult updateRtFuReservation(RtFuReservation rtFuReservation);

    /**
     * 批量删除功能房预约
     *
     * @param ids 需要删除的功能房预约主键集合
     * @return 结果
     */
    int deleteRtFuReservationByIds(Long[] ids);

    /**
     * 删除功能房预约信息
     *
     * @param id 功能房预约主键
     * @return 结果
     */
    int deleteRtFuReservationByreNo(String reNo);

    List<RtfuRoTimeVo> getroTimeinfo(String roNo);

    RtfuyuyueVo getyuyue(RtFuReservation rtFuReservation);
}
